<?xml version="1.0"?>
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <head>
        <title>News list</title>
    </head>
    <update handle="styles"/>
    <body>
        <referenceBlock name="menu">
            <action method="setActive">
                <argument name="itemId" xsi:type="string">Os_OlNews::news_posts_listing</argument>
            </action>
        </referenceBlock>

        <referenceContainer name="content">
            <uiComponent name="news_posts_listing"/>
        </referenceContainer>
    </body>
</page>